Bug 13139 - Kernel 2.2.16 "kernel panic, no init found", kernel 2.2.12, no problem
Summary: Kernel 2.2.16 "kernel panic, no init found", kernel 2.2.12, no problem
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-28 00:30 UTC by peterm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-25 19:21:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description peterm 2000-06-28 00:30:25 UTC
Kernel 2.2.12-20smp will boot up fine as will other 2.2.12smp kernels
I have compiled for my RedHat 6.1 box.

However, on trying to compile my own new 2.2.16smp kernel,
I get this error:
Kernel panic: No init found, Try passing init=option to kernel

I've also tried booting with
init=/sbin/init root=/dev/sda1

My new 2.2.16smp kernel has ext2 support, SCSI support both for hard disks
and for the Adaptec controller, and boot messages indicate that these
devices are recognized OK and that the partitions are seen(sda1 sda2 sda3
sda4)

Here is linux.conf:  "linuxold" and "linux-up" boot, "linux" won't.

boot=/dev/sda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux
linear

image=/vmlinuz
        label=linux
        APPEND="ether=0,0,0x30,eth0"
        root=/dev/sda1
        read-only
image=/boot/vmlinuz-2.2.12-20smp
        label=linuxold
        initrd=/boot/initrd-2.2.12-20smp.img
        read-only
        APPEND="ether=0,0,0x30,eth0"
        root=/dev/sda1
image=/boot/vmlinuz-2.2.12-20
        label=linux-up
        initrd=/boot/initrd-2.2.12-20.img
        read-only
        root=/dev/sda1

Comment 1 Bob Matthews 2000-07-25 19:13:00 UTC
You need an inital ram disk when your root resides on a SCSI disk.  Try adding
the line:

initrd=/boot/initrd-2.2.12-20smp.img

to the "linux" entry of /etc/lilo.conf.  Then rerun lilo and reboot.


Note You need to log in before you can comment on or make changes to this bug.